<%--
 *******************************************************************************
 * Copyright (C) 2007 Ping Identity Corporation All rights reserved.
 * 
 * This software is licensed under the Open Software License v2.1 (OSL v2.1).
 * 
 * A copy of this license has been provided with the distribution of this
 * software. Additionally, a copy of this license is available at:
 * http://www.pingidentity.com/license
 *  
 ******************************************************************************
 --%>
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c" %>

<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3c.org/TR/1999/REC-html401-19991224/loose.dtd">

<HTML>
<HEAD>
<TITLE>Demo IDP Main</TITLE>
<META http-equiv=Content-Type content="text/html; charset=utf-8">
    <LINK media=screen href="<c:url value='/images/demostyle.css'/>" type=text/css rel=stylesheet>
<META content="MSHTML 6.00.2800.1400" name=GENERATOR>
</HEAD>

<BODY leftMargin="0" topMargin="0" rightMargin="0" marginheight="0" marginwidth="0">
<CENTER><BR><BR>
<TABLE cellSpacing="0" cellPadding="0" border="0">
  <TBODY>
  <form name="mainForm" action="go" method="POST" >

  <!----------------- top ----------------->
  <TR>
    <TD class="top" vAlign="middle" width=612 width1="100%" colSpan="2" height=50>
      <TABLE cellSpacing="0" cellPadding="0" border="0"  width="100%">
        <TR><TD align="right">
          <a href="<c:url value='/go?action=logout'/>">Local Logout</a>
          <center>
          <h1><font color="darkred">Demo IDP</font></h1>
          </center>
        </TD></TR>
      </TABLE>
    </TD></TR>
  <tr>
    <td class="leftnav">
      <img height="35" src="<c:url value='/images/topnav_lower_left.gif'/>" width="320" border="0">
    </td>
    <td class="rightcontent" vAlign="center" align="right">
      <a href="${pfurl}/idp/startSLO.ping">Global Logout</a> via
        <a href="${pfurl}/idp/startSLO.ping?Binding=urn:oasis:names:tc:SAML:2.0:bindings:HTTP-Redirect">(Redirect)</a>,
      <a href="${pfurl}/idp/startSLO.ping?Binding=urn:oasis:names:tc:SAML:2.0:bindings:HTTP-POST">(Post)</a>,
      <a href="${pfurl}/idp/startSLO.ping?Binding=urn:oasis:names:tc:SAML:2.0:bindings:HTTP-Artifact">(Artifact)</a> or
      <a href="${pfurl}/idp/startSLO.ping?Binding=urn:oasis:names:tc:SAML:2.0:bindings:SOAP">(SOAP)</a><br/>
    </td>
  </tr>

  <TR>
    <!----------------- Body ----------------->
    <TD class=leftnav vAlign="top" align="left" width=320 height="100%">

      <br>
      <DIV id=mainContainer align=center>
      <h2><font color="#6a87b1">User Attributes</font></h2>
      <TABLE cellSpacing=2 width=300 border="0">
        <TBODY>
        <TR>
          <TD class=rightcellheader width=167><B>Attribute</B></TD>
          <TD class=rightcellheader width=167><B>Value</B></TD></TR>
        <TR>
          <TD class=content>UserId</TD>
          <TD class=content>${IdPUser.userid}</TD></TR>
        <TR>
          <TD class=content>Email</TD>
          <TD class=content>${IdPUser.email}</TD></TR>
        <TR>
          <TD class=content>First Name</TD>
          <TD class=content>${IdPUser.firstName}</TD></TR>
        <TR>
          <TD class=content>Last Name</TD>
          <TD class=content>${IdPUser.lastName}</TD></TR>
        </TBODY></TABLE>

      <BR><BR><BR><BR><BR><BR></DIV>
    </TD>


    <!----------------- buttons ----------------->
    <TD class="rightcontent" vAlign="top" height="100%" width=280>
      <BR>

      <b>SSO:</b> <BR> <hr>
        <table>
            <tr>
                <td>SP: </td>
                <td>
                    <select name="PartnerSpId">
                        <c:forEach items="${splist}" var="sp"><option>${sp}</option></c:forEach>
                    </select>
                </td>
            </tr>
            <c:if test="${sessionScope.showAdvanced}">
              <tr>
                <td>Binding: </td>
                <td>
                   <select name="Binding">
                        <option value="">default</option>
                        <!--<option value="urn:oasis:names:tc:SAML:2.0:bindings:HTTP-Redirect">Redirect</option>-->
                        <option value="urn:oasis:names:tc:SAML:2.0:bindings:HTTP-POST">POST</option>
                        <option value="urn:oasis:names:tc:SAML:2.0:bindings:HTTP-Artifact">Artifact</option>
                    </select>
                </td>
            </tr>
            <tr>
                <td>Name ID Format: </td>
                <td>
                    <select name="RequestedFormat">
                        <option value="">none</option>
                        <option value="urn:oasis:names:tc:SAML:2.0:nameid-format:transient">transient</option>
                        <option value="urn:oasis:names:tc:SAML:2.0:nameid-format:persistent">persistent</option>
                        <option value="urn:oasis:names:tc:SAML:2.0:nameid-format:encrypted">encrypted</option>
                    </select>
                </td>
            </tr>
            <tr>
                <td>Target URL: </td>
                <td>
                    <input type="text" name="TargetResource"/>
                </td>
            </tr>
            </c:if>
            <tr>
                <td> </td>
                <td>
                    <input type="hidden" name="action" value="sso"/>
                    <input type="submit" value=" Single Sign-On "/>
                </td>
            </tr>
            <tr>
                <td colspan="2"><br><a href="go?showHideAdvanced">${sessionScope.showAdvanced ? 'Hide' : 'Show'} advanced SSO options</a></td>
            </tr>
            <tr>
                <td colspan="2"><br><hr><BR><a href="/idp/writecdc.ping">Set Common Domain Cookie</a></td>
            </tr>

        </table>
      <BR><BR><BR><BR><BR><BR><BR><BR><BR><BR>
    </TD>
  </TR>
  </TBODY>
</TABLE>

<TABLE cellSpacing="0" cellPadding="0" border="0">
  <TBODY>
  <TR>
    <TD vAlign=center align="right" width="600"><BR><img src="<%=request.getContextPath()%>/images/ping_logo.jpg" border="0"><BR><BR>2007,
      All Rights Reserved<BR>Ping Identity Corporation</TD></TR></TBODY>
</TABLE>

</CENTER></form></BODY></HTML>