<!--
 *******************************************************************************
 * Copyright (C) 2006 Ping Identity Corporation All rights reserved.
 *
 * This software is licensed under the Open Software License v2.1 (OSL v2.1).
 *
 * A copy of this license has been provided with the distribution of this
 * software. Additionally, a copy of this license is available at:
 * http://opensource.org/licenses/osl-2.1.php
 *
 ******************************************************************************
-->
<%@ page language="java" contentType="text/html; charset=ISO-8859-1"
    pageEncoding="ISO-8859-1"%>
<%@ page import = "java.io.IOException" %>
<%@ page import = "java.io.InputStream" %>
<%@ page import = "java.io.FileInputStream" %>
<%@ include file="src/global.jsp" %>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">

<%
	String action = (String)request.getParameter("source");

	if(action == null) {
		action = "main";
	}
%>

<%
	loadGlobalProperties(config, request);

	String resumePath = request.getParameter("resumePath");
%>

<html>
  <head>
	<link rel="stylesheet" type="text/css" href="style.css">
	<title>Service Provider Account Linking</title>
	<script type="text/javascript" src="scripts/common.js"></script>
  </head>

  <body>
    <center>

	<table class="mainsp">
		<tr>
			<td>
			<img src="images/products_pf_no_version.png">
			<h1 class="sp">Service Provider Account Linking Login</h1>
			</td>
		</tr>

            <td align="center" class="rightbody">
			<form method="post" action="index.jsp">
				<input type="hidden" name="cmd" value="postloginaccountlink">
				<% if (resumePath != null) { %>
				<input type="hidden" name="resumePath" value="<%= resumePath %>">
				<% } %>

				<table class="login">
					<tr>
						<td>
						<div class="headersp">
						Local Login
						<a href="javascript:openHelp('help.html?#accountLinkLogin')">
							<img src="images/HelpIcon.gif" border="0">
						</a>
						</div>                        		
						</td>
					</tr>
					<%
						String errorMessage = request.getParameter("error");
						if (errorMessage != null) {
					%>
					<tr class="error"><td colspan="2"><%= errorMessage %></td></tr>
					<%
						}
					%>

					<tr>
						<td align="center">
							<table class="logininside">
							<tr>
								<td align="right">Login ID:</td>
								<td align="left">
								<select id="userName" name="userName" STYLE="width:150px">
								<%
									Properties usersProperties= getProperties(usersFilePath);
									Enumeration usersPropertiesNames = usersProperties.propertyNames();
									while( usersPropertiesNames.hasMoreElements() ) {
										String userName  = (String)usersPropertiesNames.nextElement();
								%>
									<option value="<%= userName %>"><%= userName %></option>
								<%
                        					}
				                        %>
								</select>
								</td>
							</tr>
							<tr>
								<td align="left">Password:</td>
								<td align="right"><input name="password" type="password" size="36" style="WIDTH: 150px"></td>
							</tr>
							<tr>
								<td>&nbsp;</td>
								<td align="right"><input type="submit" value="Login"></td>
							</tr>
							</table>
						</td>
					</tr>
				</table>
			</form>
 
		<table width="240">
			<tr>
				<td class="version" style="text-align:center;">
					<a href="mailto:support@pingidentity.com">support@pingidentity.com</a> 
				</td>           
			</tr>
			<tr>
				<td class="version" style="text-align:center;">
					<a target="_new" href="http://www.pingidentity.com"><img src="images/ping_logo.gif" border="0"></a><br/><br/>
						&copy; 2003-2006 Ping Identity Corporation<br/>
						All Rights Reserved
				</td>
			</tr>
		</table>


</center>
</body>
</html>
	<script language="javascript">
		document.all['password'].focus();
	</script>
