<!--
*******************************************************************************
* Copyright (C) 2006 Ping Identity Corporation All rights reserved.
*
* This software is licensed under the Open Software License v2.1 (OSL v2.1).
*
* A copy of this license has been provided with the distribution of this
* software. Additionally, a copy of this license is available at:
* http://opensource.org/licenses/osl-2.1.php
*
******************************************************************************
-->
<%@ Page language="c#" Codebehind="mainForm.aspx.cs" AutoEventWireup="false" Inherits="Com.PingIdentity.PingFederate.SampleApp.IdpSample.web.MainForm" %>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN" >
<HTML>
	 <HEAD>
			<title>Identity Provider Main Page</title>
			<LINK href="style.css" type="text/css" rel="stylesheet">
			<meta content="Microsoft Visual Studio .NET 7.1" name="GENERATOR">
			<meta content="C#" name="CODE_LANGUAGE">
			<meta content="JavaScript" name="vs_defaultClientScript">
			<meta content="http://schemas.microsoft.com/intellisense/ie5" name="vs_targetSchema">
			<script type="text/javascript" src="scripts/common.js"></script>
			<script language="javascript">
				function initiateSSO(url) {
					window.location = url;
				}
			</script>
	 </HEAD>
	 <body MS_POSITIONING="FlowLayout">
		  <div align=center>
		  
	<table class="mainidp">
		<tr>
			<td COLSPAN="2">
			<img src="images/products_pf_no_version.png">
			<h1 class="idp">Identity Provider Main Page</h1>
			<span class="description">This is the main page of the IdP Sample Application.<br>You can initiate Single Sign on to any of the configured SP connections or perform single logout.</span>
			<br><br>
			</td>
		</tr>
		<tr>
            <td align="center" class="rightbody" valign="top">
				<form id="MainForm" method="post" runat="server">						  
					<% this.ShowSpConnections(); %>
				</form>
                        
                       

          </td>
		<td align="center" class="rightbody" valign="top">
			<table class="sub">
				<tr>
					<td colspan="2">
						<div class="headeridp">
							User Attributes
							<a href="javascript:openHelp('help.html?#userattributes');">
								<img src="images/HelpIcon.gif" border="0">
							</a>
						</div>
					</td>
				</tr>
				<% this.ShowUserAttributes(); %>					

			</table>
			<br>
			<table class="sub">
				<tr>
					<td>
						<div class="headeridp">
							Single Logout
							<a href="javascript:openHelp('help.html?#slo');">
								<img src="images/HelpIcon.gif" border="0">
							</a>
						</div>
					</td>
				</tr>
				<tr>
					<td>
						<span class="text">Click on the link for Single Logout</span>
					</td>
				</tr>
				<tr>
					<td>
						<a class="text" id="IdpStartSLOUrl" name="idpStartSLOUrl" runat="server">Single Logout</a>
					</td>
				</tr>
			</table>
			<br>
			<table class="sub">
				<tr>
					<td>
						<div class="headeridp">
							Local Logout
							<a href="javascript:openHelp('help.html?#logout');">
								<img src="images/HelpIcon.gif" border="0">
							</a>
						</div>
					</td>
				</tr>
				<tr>
					<td>
						<span class="text">Click on the link for Local logout</span>
					</td>
				</tr>
				<tr>
					<td>
						<a class="text" href="/IdpSample/?cmd=logout">Local Logout</a>
					</td>
				</tr>
			</table>
			
		</td>
      </tr>
    </table>
      
      
      <br><br>
      
		<table width="500">
			<tr>
				<td align="center" style="font-size:10px;">
				<b>Related Links</b>
				<br>
				<a href="http://www.pingidentity.com/products/pingfederate">Overview</a> | <a href="http://www.pingidentity.com/products/federation_overview">About Federation</a> | <a href="http://www.pingidentity.com/products/integration">Integration</a>
				</td>
			</tr>
			<tr>
				<td class="version" style="text-align:center;">
					<a href="mailto:support@pingidentity.com">support@pingidentity.com</a> 
				</td>           
			</tr>
			<tr>
				<td class="version" style="text-align:center;">
					<a target="_new" href="http://www.pingidentity.com"><img src="images/ping_logo.gif" border="0"></a><br/><br/>
						&copy; 2003-2006 Ping Identity Corporation<br/>
						All Rights Reserved
				</td>
			</tr>
		</table>
		  </div>
	 </body>
</HTML>